Package org.eclipse.rdf4j.http.server.repository.handler

## Class DefaultQueryRequestHandler

- java.lang.Object
- - org.eclipse.rdf4j.http.server.repository.handler.AbstractQueryRequestHandler
  - - org.eclipse.rdf4j.http.server.repository.handler.DefaultQueryRequestHandler

- All Implemented Interfaces:
    `QueryRequestHandler`

      public class DefaultQueryRequestHandler
      extends AbstractQueryRequestHandler

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultQueryRequestHandler​(RepositoryResolver repositoryResolver)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Boolean` | `evaluateQuery​(BooleanQuery query, long limit, long offset, boolean distinct)` |
    `protected GraphQueryResult` | `evaluateQuery​(GraphQuery query, long limit, long offset, boolean distinct)` |
    `protected Object` | `evaluateQuery​(Query query, long limit, long offset, boolean distinct)` |
    `protected TupleQueryResult` | `evaluateQuery​(TupleQuery query, long limit, long offset, boolean distinct)` |
    `protected SimpleDataset` | `getDataset​(javax.servlet.http.HttpServletRequest request, ValueFactory valueFactory, Query query)` |
    `protected boolean` | `getIncludeInferred​(javax.servlet.http.HttpServletRequest request)` |
    `protected int` | `getMaxExecutionTime​(javax.servlet.http.HttpServletRequest request)` |
    `protected Query` | `getQuery​(javax.servlet.http.HttpServletRequest request, RepositoryConnection repositoryCon, String queryString)` |
    `protected QueryLanguage` | `getQueryLanguage​(String queryLanguageParamName)` |
    `protected String` | `getQueryString​(javax.servlet.http.HttpServletRequest request, org.springframework.web.bind.annotation.RequestMethod requestMethod)` |
    `protected FileFormatServiceRegistry<? extends FileFormat,​?>` | `getResultWriterFor​(Query query)` |
    `protected org.springframework.web.servlet.View` | `getViewFor​(Query query)` |
    `protected void` | `setQueryParameters​(javax.servlet.http.HttpServletRequest request, RepositoryConnection repositoryCon, Query query)` |

    - ### Methods inherited from class org.eclipse.rdf4j.http.server.repository.handler.AbstractQueryRequestHandler

      `getLimit, getModelAndView, getOffset, handleQueryRequest, isDistinct`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultQueryRequestHandler

          public DefaultQueryRequestHandler​(RepositoryResolver repositoryResolver)

  - ### Method Detail

    - #### evaluateQuery

          protected Object evaluateQuery​(Query query,
                                         long limit,
                                         long offset,
                                         boolean distinct)
                                  throws ClientHTTPException

      Specified by:
        `evaluateQuery` in class `AbstractQueryRequestHandler`
      Throws:
        `ClientHTTPException`

    - #### evaluateQuery

          protected Boolean evaluateQuery​(BooleanQuery query,
                                          long limit,
                                          long offset,
                                          boolean distinct)

    - #### evaluateQuery

          protected GraphQueryResult evaluateQuery​(GraphQuery query,
                                                   long limit,
                                                   long offset,
                                                   boolean distinct)

    - #### evaluateQuery

          protected TupleQueryResult evaluateQuery​(TupleQuery query,
                                                   long limit,
                                                   long offset,
                                                   boolean distinct)

    - #### getViewFor

          protected org.springframework.web.servlet.View getViewFor​(Query query)

      Specified by:
        `getViewFor` in class `AbstractQueryRequestHandler`

    - #### getResultWriterFor

          protected FileFormatServiceRegistry<? extends FileFormat,​?> getResultWriterFor​(Query query)

      Specified by:
        `getResultWriterFor` in class `AbstractQueryRequestHandler`

    - #### getQueryString

          protected String getQueryString​(javax.servlet.http.HttpServletRequest request,
                                          org.springframework.web.bind.annotation.RequestMethod requestMethod)
                                   throws HTTPException

      Specified by:
        `getQueryString` in class `AbstractQueryRequestHandler`
      Throws:
        `HTTPException`

    - #### getQuery

          protected Query getQuery​(javax.servlet.http.HttpServletRequest request,
                                   RepositoryConnection repositoryCon,
                                   String queryString)
                            throws IOException,
                                   HTTPException

      Specified by:
        `getQuery` in class `AbstractQueryRequestHandler`
      Throws:
        `IOException`
        `HTTPException`

    - #### setQueryParameters

          protected void setQueryParameters​(javax.servlet.http.HttpServletRequest request,
                                            RepositoryConnection repositoryCon,
                                            Query query)
                                     throws ClientHTTPException

      Throws:
        `ClientHTTPException`

    - #### getMaxExecutionTime

          protected int getMaxExecutionTime​(javax.servlet.http.HttpServletRequest request)
                                     throws ClientHTTPException

      Throws:
        `ClientHTTPException`

    - #### getIncludeInferred

          protected boolean getIncludeInferred​(javax.servlet.http.HttpServletRequest request)
                                        throws ClientHTTPException

      Throws:
        `ClientHTTPException`

    - #### getDataset

          protected SimpleDataset getDataset​(javax.servlet.http.HttpServletRequest request,
                                             ValueFactory valueFactory,
                                             Query query)
                                      throws ClientHTTPException

      Throws:
        `ClientHTTPException`

    - #### getQueryLanguage

          protected QueryLanguage getQueryLanguage​(String queryLanguageParamName)
                                            throws ClientHTTPException

      Throws:
        `ClientHTTPException`